package ink.wgink.module.examine.pojo.dtos.question;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @ClassName: QuestionDTO
 * @Description: 试题管理
 * @Author: WenG
 * @Date: 2020-09-09 21:00
 * @Version: 1.0
 **/
@ApiModel
public class QuestionDTO {

    @ApiModelProperty(name = "questionId", value = "主键")
    private String questionId;
    @ApiModelProperty(name = "subject", value = "题目")
    private String subject;
    @ApiModelProperty(name = "questionType", value = "试题类型")
    private String questionType;
    @ApiModelProperty(name = "questionTypeName", value = "试题类型名称")
    private String questionTypeName;
    @ApiModelProperty(name = "customQuestionType", value = "自定义试题类型")
    private String customQuestionType;
    @ApiModelProperty(name = "customQuestionTypeName", value = "自定义试题类型名称")
    private String customQuestionTypeName;
    @ApiModelProperty(name = "type", value = "种类，choice：选择，tureOrFalse：判断，fillInTheBlanks：填空，answer：解答")
    private String type;
    @ApiModelProperty(name = "choiceType", value = "选择类别，single：单选，multiple：多选")
    private String choiceType;
    @ApiModelProperty(name = "analysis", value = "解析")
    private String analysis;
    @ApiModelProperty(name = "parentId", value = "上级试题")
    private String parentId;
    @ApiModelProperty(name = "difficulty", value = "难度")
    private Integer difficulty;
    @ApiModelProperty(name = "source", value = "来源")
    private String source;
    @ApiModelProperty(name = "answer", value = "答案")
    private String answer;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "options", value = "选项")
    private List<QuestionOptionsDTO> options;

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getQuestionType() {
        return questionType;
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    public String getQuestionTypeName() {
        return questionTypeName;
    }

    public void setQuestionTypeName(String questionTypeName) {
        this.questionTypeName = questionTypeName;
    }

    public String getCustomQuestionType() {
        return customQuestionType;
    }

    public void setCustomQuestionType(String customQuestionType) {
        this.customQuestionType = customQuestionType;
    }

    public String getCustomQuestionTypeName() {
        return customQuestionTypeName;
    }

    public void setCustomQuestionTypeName(String customQuestionTypeName) {
        this.customQuestionTypeName = customQuestionTypeName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getChoiceType() {
        return choiceType;
    }

    public void setChoiceType(String choiceType) {
        this.choiceType = choiceType;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Integer getDifficulty() {
        return difficulty;
    }

    public void setDifficulty(Integer difficulty) {
        this.difficulty = difficulty;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public List<QuestionOptionsDTO> getOptions() {
        return options;
    }

    public void setOptions(List<QuestionOptionsDTO> options) {
        this.options = options;
    }
}
